<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:background="@drawable/keyboard_background"
    android:id="@+id/background"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <HorizontalScrollView
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:scrollbars="none"    
        android:overScrollMode="never"  
        android:id="@+id/completion_scroll">
        
        <LinearLayout
            android:id="@+id/completion_suggestions"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:orientation="horizontal"
            android:paddingStart="4dp"
            android:paddingEnd="4dp">

            <TextView
                android:id="@+id/suggestion_0"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:textSize="12sp"
                android:paddingHorizontal="12dp"
                android:gravity="center"
                android:clickable="true"
                android:background="@drawable/btn_keyboard"
                android:textColor="#3C3C3C"/>

            <TextView
                android:id="@+id/suggestion_1"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:textSize="12sp"
                android:paddingHorizontal="12dp"
                android:gravity="center"
                android:clickable="true"
                android:background="@drawable/btn_keyboard"
                android:textColor="#3C3C3C"/>

            <TextView
                android:id="@+id/suggestion_2"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:textSize="12sp"
                android:paddingHorizontal="12dp"
                android:gravity="center"
                android:clickable="true"
                android:background="@drawable/btn_keyboard"
                android:textColor="#3C3C3C"/>

            <TextView
                android:id="@+id/suggestion_3"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:textSize="12sp"
                android:paddingHorizontal="12dp"
                android:gravity="center"
                android:clickable="true"
                android:background="@drawable/btn_keyboard"
                android:textColor="#3C3C3C"/>

            <TextView
                android:id="@+id/suggestion_4"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:textSize="12sp"
                android:paddingHorizontal="12dp"
                android:gravity="center"
                android:clickable="true"
                android:background="@drawable/btn_keyboard"
                android:textColor="#3C3C3C"/>

            <TextView
                android:id="@+id/suggestion_5"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:textSize="12sp"
                android:paddingHorizontal="12dp"
                android:gravity="center"
                android:clickable="true"
                android:background="@drawable/btn_keyboard"
                android:textColor="#3C3C3C"/>

            <TextView
                android:id="@+id/suggestion_6"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:textSize="12sp"
                android:paddingHorizontal="12dp"
                android:gravity="center"
                android:clickable="true"
                android:background="@drawable/btn_keyboard"
                android:textColor="#3C3C3C"/>

            <TextView
                android:id="@+id/suggestion_7"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:textSize="12sp"
                android:paddingHorizontal="12dp"
                android:gravity="center"
                android:clickable="true"
                android:background="@drawable/btn_keyboard"
                android:textColor="#3C3C3C"/>

            <TextView
                android:id="@+id/suggestion_8"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:textSize="12sp"
                android:paddingHorizontal="12dp"
                android:gravity="center"
                android:clickable="true"
                android:background="@drawable/btn_keyboard"
                android:textColor="#3C3C3C"/>

            <TextView
                android:id="@+id/suggestion_9"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:textSize="12sp"
                android:paddingHorizontal="12dp"
                android:gravity="center"
                android:clickable="true"
                android:background="@drawable/btn_keyboard"
                android:textColor="#3C3C3C"/>

            <TextView
                android:id="@+id/suggestion_10"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:textSize="12sp"
                android:paddingHorizontal="12dp"
                android:gravity="center"
                android:clickable="true"
                android:background="@drawable/btn_keyboard"
                android:textColor="#3C3C3C"/>

            <TextView
                android:id="@+id/suggestion_11"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:textSize="12sp"
                android:paddingHorizontal="12dp"
                android:gravity="center"
                android:clickable="true"
                android:background="@drawable/btn_keyboard"
                android:textColor="#3C3C3C"/>

            <TextView
                android:id="@+id/suggestion_12"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:textSize="12sp"
                android:paddingHorizontal="12dp"
                android:gravity="center"
                android:clickable="true"
                android:background="@drawable/btn_keyboard"
                android:textColor="#3C3C3C"/>

            <TextView
                android:id="@+id/suggestion_13"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:textSize="12sp"
                android:paddingHorizontal="12dp"
                android:gravity="center"
                android:clickable="true"
                android:background="@drawable/btn_keyboard"
                android:textColor="#3C3C3C"/>

            <TextView
                android:id="@+id/suggestion_14"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:textSize="12sp"
                android:paddingHorizontal="12dp"
                android:gravity="center"
                android:clickable="true"
                android:background="@drawable/btn_keyboard"
                android:textColor="#3C3C3C"/>

            <TextView
                android:id="@+id/suggestion_15"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:textSize="12sp"
                android:paddingHorizontal="12dp"
                android:gravity="center"
                android:clickable="true"
                android:background="@drawable/btn_keyboard"
                android:textColor="#3C3C3C"/>

            <TextView
                android:id="@+id/suggestion_16"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:textSize="12sp"
                android:paddingHorizontal="12dp"
                android:gravity="center"
                android:clickable="true"
                android:background="@drawable/btn_keyboard"
                android:textColor="#3C3C3C"/>

            <TextView
                android:id="@+id/suggestion_17"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:textSize="12sp"
                android:paddingHorizontal="12dp"
                android:gravity="center"
                android:clickable="true"
                android:background="@drawable/btn_keyboard"
                android:textColor="#3C3C3C"/>   

            <TextView
                android:id="@+id/suggestion_18"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:textSize="12sp"
                android:paddingHorizontal="12dp"
                android:gravity="center"
                android:clickable="true"
                android:background="@drawable/btn_keyboard"
                android:textColor="#3C3C3C"/>

            <TextView
                android:id="@+id/suggestion_19"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:textSize="12sp"
                android:paddingHorizontal="12dp"
                android:gravity="center"
                android:clickable="true"
                android:background="@drawable/btn_keyboard"
                android:textColor="#3C3C3C"/>

            <TextView
                android:id="@+id/suggestion_20"
                android:layout_width="wrap_content"  
                android:layout_height="match_parent"
                android:textSize="12sp"
                android:paddingHorizontal="12dp"
                android:gravity="center"
                android:clickable="true"
                android:background="@drawable/btn_keyboard"
                android:textColor="#3C3C3C"/>

        </LinearLayout>
    </HorizontalScrollView>

    <!-- 第一行： [ ] { } # % ^ * + = -->
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:gravity="center_horizontal"
        android:orientation="horizontal">

        <TextView android:id="@+id/key_bracket_l"   android:layout_width="33dp" android:layout_height="40dp"  android:textSize="12sp" android:textColor="#A9A9A9" android:gravity="center" android:clickable="true"/>
        <TextView android:id="@+id/key_bracket_r"   android:layout_width="33dp" android:layout_height="40dp"  android:textSize="12sp" android:textColor="#A9A9A9" android:gravity="center" android:clickable="true"/>
        <TextView android:id="@+id/key_brace_l"     android:layout_width="33dp" android:layout_height="40dp"  android:textSize="12sp" android:textColor="#A9A9A9" android:gravity="center" android:clickable="true"/>
        <TextView android:id="@+id/key_brace_r"     android:layout_width="33dp" android:layout_height="40dp"  android:textSize="12sp" android:textColor="#A9A9A9" android:gravity="center" android:clickable="true"/>
        <TextView android:id="@+id/key_hash"       android:layout_width="33dp" android:layout_height="40dp" android:textSize="12sp" android:textColor="#A9A9A9" android:gravity="center" android:clickable="true"/>
        <TextView android:id="@+id/key_percent"    android:layout_width="33dp" android:layout_height="40dp" android:textSize="12sp" android:textColor="#A9A9A9" android:gravity="center" android:clickable="true"/>
        <TextView android:id="@+id/key_caret"      android:layout_width="33dp" android:layout_height="40dp"  android:textSize="12sp" android:textColor="#A9A9A9" android:gravity="center" android:clickable="true"/>
        <TextView android:id="@+id/key_asterisk"   android:layout_width="33dp" android:layout_height="40dp" android:textSize="12sp" android:textColor="#A9A9A9" android:gravity="center" android:clickable="true"/>
        <TextView android:id="@+id/key_plus"       android:layout_width="33dp" android:layout_height="40dp" android:textSize="12sp" android:textColor="#A9A9A9" android:gravity="center" android:clickable="true"/>
        <TextView android:id="@+id/key_equal"      android:layout_width="33dp" android:layout_height="40dp"  android:textSize="12sp" android:textColor="#A9A9A9" android:gravity="center" android:clickable="true"/>
    </LinearLayout>

    <!-- 第二行： _ \ | ~ < > € £ ¥ · -->
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:gravity="center_horizontal"
        android:orientation="horizontal">

        <TextView android:id="@+id/key_underscore" android:layout_width="33dp" android:layout_height="40dp"   android:textSize="12sp" android:textColor="#A9A9A9" android:gravity="center" android:clickable="true"/>
        <TextView android:id="@+id/key_backslash"  android:layout_width="33dp" android:layout_height="40dp" android:textSize="12sp" android:textColor="#A9A9A9" android:gravity="center" android:clickable="true"/>
        <TextView android:id="@+id/key_pipe"       android:layout_width="33dp" android:layout_height="40dp"   android:textSize="12sp" android:textColor="#A9A9A9" android:gravity="center" android:clickable="true"/>
        <TextView android:id="@+id/key_tilde"      android:layout_width="33dp" android:layout_height="40dp"  android:textSize="12sp" android:textColor="#A9A9A9" android:gravity="center" android:clickable="true"/>
        <TextView android:id="@+id/key_lt"         android:layout_width="33dp" android:layout_height="40dp" android:textSize="12sp" android:textColor="#A9A9A9" android:gravity="center" android:clickable="true"/>
        <TextView android:id="@+id/key_gt"         android:layout_width="33dp" android:layout_height="40dp"  android:textSize="12sp" android:textColor="#A9A9A9" android:gravity="center" android:clickable="true"/>
        <TextView android:id="@+id/key_euro"       android:layout_width="33dp" android:layout_height="40dp"  android:textSize="12sp" android:textColor="#A9A9A9" android:gravity="center" android:clickable="true"/>
        <TextView android:id="@+id/key_pound"      android:layout_width="33dp" android:layout_height="40dp"  android:textSize="12sp" android:textColor="#A9A9A9" android:gravity="center" android:clickable="true"/>
        <TextView android:id="@+id/key_money"        android:layout_width="33dp" android:layout_height="40dp"   android:textSize="12sp" android:textColor="#A9A9A9" android:gravity="center" android:clickable="true"/>
        <TextView android:id="@+id/key_bullet"     android:layout_width="33dp" android:layout_height="40dp"   android:textSize="12sp" android:textColor="#A9A9A9" android:gravity="center" android:clickable="true"/>
    </LinearLayout>

    <!-- 第三行： . ,  . ,  ?  !  '   [delete ×2]  (中间两个小点按你的图可只保留 . ,) -->
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:gravity="center_horizontal"
        android:orientation="horizontal">
        <TextView android:id="@+id/key_symbols_123" android:layout_width="40dp" android:layout_height="40dp" android:layout_marginEnd="16dp" android:textSize="12sp" android:textColor="#A9A9A9" android:gravity="center" android:clickable="true"/>
        <TextView android:id="@+id/key_dot"     android:layout_width="47dp" android:layout_height="40dp"  android:textSize="12sp" android:textColor="#A9A9A9" android:gravity="center" android:clickable="true"/>
        <TextView android:id="@+id/key_comma"      android:layout_width="47dp" android:layout_height="40dp"  android:textSize="12sp" android:textColor="#A9A9A9" android:gravity="center" android:clickable="true"/>
        <TextView android:id="@+id/key_question"   android:layout_width="47dp" android:layout_height="40dp" android:textSize="12sp" android:textColor="#A9A9A9" android:gravity="center" android:clickable="true"/>
        <TextView android:id="@+id/key_exclam"    android:layout_width="47dp" android:layout_height="40dp"  android:textSize="12sp" android:textColor="#A9A9A9" android:gravity="center" android:clickable="true"/>
        <TextView android:id="@+id/key_quote" android:layout_width="47dp" android:layout_height="40dp"  android:textSize="12sp" android:textColor="#A9A9A9" android:gravity="center" android:clickable="true"/>
        <TextView android:id="@+id/key_backspace"  android:layout_width="42dp" android:layout_height="40dp" android:layout_marginStart="12dp" android:textSize="12sp" android:textColor="#A9A9A9" android:gravity="center" android:clickable="true"/>
    </LinearLayout>

    <!-- 第四行：123 | abc | [Space ×3] | send -->
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:gravity="center_horizontal"
        android:orientation="horizontal">
        <TextView android:id="@+id/key_abc" android:layout_width="42dp" android:layout_height="40dp"  android:textSize="12sp" android:textColor="#A9A9A9" android:gravity="center" android:clickable="true"/>
        <TextView android:id="@+id/key_ai" android:layout_width="42dp" android:layout_height="40dp"  android:textSize="12sp" android:textColor="#A9A9A9" android:gravity="center" android:clickable="true"/>
        <TextView android:id="@+id/key_space"      android:layout_width="181dp" android:layout_height="40dp"   android:textSize="12sp" android:textColor="#A9A9A9" android:gravity="center" android:clickable="true"/>
        <TextView android:id="@+id/key_send"       android:layout_width="88dp" android:layout_height="40dp"  android:textSize="12sp" android:textColor="#A9A9A9" android:gravity="center" android:clickable="true"/>
    </LinearLayout>
</LinearLayout>
